import {Computesite} from './computesite';
// Identities are defined by a username on a computer, but rather than just
// DNS entry, there is extra info in the Computesite
export class Identity {
  username: string;
  site: Computesite;
  authservice: AuthService;
  constructor( username: string, site: Computesite) {
    this.username = username;
    this.site = site;
  }
  displayName(): string {
    return this.username+'@'+this.site.name;
  }
  repr(): string {
    return JSON.stringify([this.username,this.site.cafingerprint,this.site.host]);
  }
}

export class AuthToken {
  token: string;
  authservice: AuthService;
  constructor( token: string, authservice: AuthService ) {
    this.token = token;
    this.authservice = authservice;
  }
}

export class KeyCert {
  key: string;
  cert: string;
  authservice: AuthService;
}

export class AuthService {
  base: string;
  authorise: string;
  sign: string;
  client_id: string;
}
