import { Component, OnInit, Input } from '@angular/core';
import { Job } from '../job';
import {TesService} from '../tes.service';
import { StrudelappsService } from '../strudelapps.service';

@Component({
  selector: 'app-job',
  templateUrl: './job.component.html',
  styleUrls: ['./job.component.css']
})
export class JobComponent implements OnInit {

  @Input() jobdata: Job;
  public available: Boolean;
  private busy: Boolean;
  constructor(private tesService: TesService, private strudelAppsService: StrudelappsService) {


}

  ngOnInit() {
    console.log('creating job component');
    if (this.jobdata.state == "RUNNING") {
      this.available = true;
    } else {
      this.available = false;
    }
    this.tesService.busy.subscribe(busy => this.busy = busy);
    console.log('creating job component complete');

  }

  onCancel() {
    this.jobdata.app = this.strudelAppsService.getApp(this.jobdata.name);
    console.log(this.jobdata);
    this.tesService.cancel(this.jobdata);
  }

  onConnect() {
    console.log('attempting connect');
    // Before connecting we must resolve what type of app we are connecting to
    this.jobdata.app = this.strudelAppsService.getApp(this.jobdata.name);
    this.tesService.connect(this.jobdata);
  }

}
