import { Component, OnInit } from '@angular/core';
import {TesService} from '../tes.service';
import { Job } from '../job';
import { Observable } from 'rxjs/Observable';
import { Identity } from '../identity';



@Component({
  selector: 'app-joblist',
  templateUrl: './joblist.component.html',
  styleUrls: ['./joblist.component.css']
})
export class JoblistComponent implements OnInit {
  public jobs: {[id: string]: Job[] } = {};
  public identities: Identity[];
  private displayedColumns = ['id'];
  private jobsSubscription: any;
  private idSubscription: any;

  constructor(private tesService: TesService,) {
}

  ngOnInit() {
    console.log('creating joblist component');
    this.jobsSubscription = this.tesService.joblist.subscribe(jobs => this.updateJobs(jobs));
    this.idSubscription = this.tesService.identities.subscribe(ids => this.updateIds(ids));
    console.log("joblist component complete");
  }

  public ngOnDestroy(): void {
      if (this.jobsSubscription) {
          this.jobsSubscription.unsubscribe();
      }

  }
  updateIds(identities: Identity[]) {
    console.log('update identities');
    this.identities = identities;
    console.log('update identities complete');

  }

  updateJobs(jobs) {
    console.log('updating jobs')
    this.jobs = jobs;
    console.log('update jobs complete')
  }


}
