import { Component, OnInit, NgModule, Inject } from '@angular/core';
import {Strudelapp} from '../strudelapp';
import { StrudelappsService } from '../strudelapps.service';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA, MatDialogModule } from '@angular/material';
import { TesService } from '../tes.service';
import { Identity } from '../identity';
import { Computesite } from '../computesite';
import { LogoutdialogComponent } from '../logoutdialog/logoutdialog.component';
import { LogindialogComponent } from '../logindialog/logindialog.component'



@Component({
  selector: 'app-launcher',
  templateUrl: './launcher.component.html',
  styleUrls: ['./launcher.component.css']
})
export class LauncherComponent implements OnInit {
  private strudelapps: Strudelapp[];

  private app: Strudelapp;
  public authorised: boolean;
  private identity: Identity;
  private identities: Identity[];

  constructor( public dialog: MatDialog, private tesService: TesService) {
  }

  ngOnInit() {
    console.log('initialising launcher compoenent');
    this.strudelapps = [];
    setTimeout( () => { this.tesService.identities.subscribe(identities => this.updateIdentities(identities)); });
    console.log('initialising launcher compoenent complete');

  }

  updateIdentities(identities) {
    console.log('updateIdentities in launcher');
    this.identities = identities;
    console.log('updateIdentities in launcher complete');

  }

login () {
    let dialogRef = this.dialog.open(LogindialogComponent, {
      width: '250px',
      height: '400px',
    });
    return;
}

logout() {
    let dialogRef = this.dialog.open(LogoutdialogComponent, {
      width: '250px',
      height: '400px',
    });
    // this.tesService.logout();
    // return;
}




  selectId(event: any) {
    console.log('in selectID');
    if (!(event.value === undefined) && event.value instanceof(Identity)) {
      this.identity=event.value;
      this.strudelapps = this.identity.site.appCatalog;
    }
    console.log('selectID complete');
  }

  configureResources() {
    let configwindow = window.open(this.identity.site.url+'configure/'+this.app.name);
  }

  submitApp() {
    this.tesService.getconfig(this.app, this.identity)
      .subscribe(resp => {console.log(resp); this.tesService.submit(this.app,this.identity,resp)});
  }



  // openDialog(msg: string ): void {
  //     let dialogRef = this.dialog.open(LoginDialog, {
  //       width: '250px',
  //       height: '400px',
  //       data: { 'msg': msg }
  //     });
  //
  //     dialogRef.afterClosed().subscribe(result => {
  //       console.log('The dialog was closed');
  //     });
  //   }


}

// @Component({
//   selector: 'dialog-placeholder',
//   templateUrl: 'dialog-placeholder.html',
// })
// export class LoginDialog {
//
//   constructor(
//     public dialogRef: MatDialogRef<LoginDialog>,
//     @Inject(MAT_DIALOG_DATA) public data: any) { }
//
//   onNoClick(): void {
//     this.dialogRef.close();
//   }
//
// }
